package com.ekexiu.console.system.service;

import java.sql.Connection;
import java.sql.SQLException;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.param.JdbcConn;

import com.ekexiu.console.system.dao.UserRoleDao;
import com.ekexiu.console.system.po.UserRole;

@Path("/sys/userRole")
public class UserRoleService {

	@Autowrie
	private UserRoleDao userRoleDao;
	
	
	public UserRoleDao getUserRoleDao() {
		return userRoleDao;
	}


	public void setUserRoleDao(UserRoleDao userRoleDao) {
		this.userRoleDao = userRoleDao;
	}


	public void insert(@JdbcConn(true) Connection con,String userid,String[] role)throws SQLException{
		this.userRoleDao.deleteByUserId(con, userid);
		UserRole[] urs = new UserRole[role.length];
		int ind = 0;
		for(String r:role){
			UserRole ur = new UserRole();
			ur.setRoleid(r);
			ur.setUserid(userid);
			urs[ind++]= ur;
		}
		this.userRoleDao.insert(con, urs);
	}
	
}
